Nexus- en Pixel-toestellen krijgen patch voor wifi-lek pas in december
Erwin Vogelaar

Hoewel toestellen van veel fabrikanten al een patch voor KRACK hebben ontvangen, moeten eigenaren van een Nexus of Pixel nog even geduld hebben tot december voor een oplossing voor dit wifi-lek.

Pixel en Nexus KRACK-oplossing in december

Met de Android-beveiligingsupdate van november heeft Google het grote wifi-beveiligingslek opgelost. Tenminste, dat dachten we. Eigenaren van een Nexus- of Pixel-toestel moeten nog tot december wachten tot dit onderdeel van de update ook naar hen uitrolt. Dit terwijl je zou verwachten dat juist deze toestellen als eerste updates ontvangen.

Wat is KRACK?

Een onderzoeker kwam in oktober achter een flink lek in de meest gebruikte beveiliging van wifi. KRACK staat voor ‘Key Reinstallation Attack‘ en komt er op neer dat het wachtwoord van een wifi-verbinding omzeilt kan worden en er ingebroken kan worden op je wifi-verbinding. Na het inbreken kan iemand onder andere je surfgedrag in de gaten houden en je wachtwoorden stelen.

→ Lees ook: Wifi-lek maakt grootste probleem van Android weer pijnlijk duidelijk

Android is extra kwetsbaar voor KRACK. Dit komt doordat Linux, waar Android op gebaseerd is, een specifieke wifi-client gebruikt. Deze client wisselt de sleutels voor de wifi-verbinding op een net iets andere manier uit en daar kan extra misbruik van gemaakt worden.

nexus krack

Niet voor Nexus en Pixel?

Googles Android Security Bulletin, waar informatie over beveiligingsupdates wordt geplaatst, is niet de meest overzichtelijke website. Het was daarom niet opgevallen dat dit specifieke onderdeel van de beveiligingsupdate niet uitrolt naar Nexus- en Pixel-smartphones. Google heeft tegen Ars Technica bevestigd dat deze toestellen moeten wachten tot december. De Nexus- en Pixel-toestellen staan er om bekend om normaal gezien als eerste nieuwe updates te ontvangen.

Jezelf beschermen

Om te controleren of jouw toestel beschermd is tegen het wifi-lek, ga je naar het instellingenmenu van Android. Scrol naar beneden kies daar voor ‘Systeem’ en vervolgens ‘Over de telefoon’. Daar vind je het kopje ‘ Niveau van Android-beveiligingspatch’. Als daar 6 november 2017 of hoger staat, dan is je toestel beschermd.

Er zijn verschillende manieren waarop jij jezelf kunt beschermen voor dit wifi-lek, mocht je toestel nog niet up to date zijn. Wij hebben die voor je op een rij gezet.

Lees het laatste nieuws over Google

Draag ook bij aan dit artikel

Deel je kennis of stel een vraag. Dat kan anoniem of met een Disqus account.